/**
 * Donjon & Cie - Systeme FoundryVTT
 *
 * Donjon & Cie est un jeu de role edite par John Doe.
 * Ce systeme FoundryVTT est une implementation independante et n'est pas
 * affilie a John Doe.
 *
 * @author    LeRatierBretonnien
 * @copyright 2025–2026 LeRatierBretonnien
 * @license   CC BY-NC-SA 4.0 – https://creativecommons.org/licenses/by-nc-sa/4.0/
 */

import BaseItemDataModel from "./base-item.mjs";

export default class SortilegeDataModel extends BaseItemDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      ...super.defineSchema(),
      caracteristique: new fields.StringField({ initial: "intelligence" }),
      difficulte: new fields.NumberField({ initial: 0, integer: true }),
      coutPv: new fields.NumberField({ initial: 0, integer: true }),
      portee: new fields.StringField({ initial: "" }),
      duree: new fields.StringField({ initial: "" }),
      effet: new fields.StringField({ initial: "" }),
      degats: new fields.StringField({ initial: "" })
    };
  }
}
